Skip to main content
GET
https://api.aisa.one/apis/v1
/
apollo
/
phone_calls
/
search
Search for Calls
curl --request GET \
  --url https://api.aisa.one/apis/v1/apollo/phone_calls/search \
  --header 'Authorization: Bearer <token>'
{
  "phone_calls": [
    "<string>"
  ],
  "pagination": {}
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

date_range[max]
string

Upper bound for call date range (YYYY-MM-DD).

date_range[min]
string

Lower bound for call date range (YYYY-MM-DD).

duration[max]
integer

Upper bound for duration (seconds).

duration[min]
integer

Lower bound for duration (seconds).

inbound
string

Inbound or outbound.

user_ids[]
string[]

User IDs.

contact_label_ids[]
string[]

Contact label IDs.

phone_call_purpose_ids[]
string[]

Purpose IDs.

phone_call_outcome_ids[]
string[]

Outcome IDs.

q_keywords
string

Keyword filter.

page
integer

Page number.

per_page
integer

Results per page.

Response

Successful response

phone_calls
string[]

Calls (when returned).

pagination
object

Pagination metadata (when returned).